<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ombs-OnlineMovieBookingSystem: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ombs-OnlineMovieBookingSystem
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div><ul>
<li>AddMovieShowToDb()
: <a class="el" href="classomsb_1_1_mongo_db_handler.html#a7866c1d3c4d63794358836dd7f9b328e">omsb::MongoDbHandler</a>
</li>
<li>AddMovieToDb()
: <a class="el" href="classomsb_1_1_mongo_db_handler.html#ae76b951defd231273ee70264e82ca6d0">omsb::MongoDbHandler</a>
</li>
<li>AddTheaterToDb()
: <a class="el" href="classomsb_1_1_mongo_db_handler.html#a4bf4aeb89d91622ff52e343bec655d4e">omsb::MongoDbHandler</a>
</li>
<li>BookSeats()
: <a class="el" href="classomsb_1_1_mongo_db_handler.html#a667615c575c910d11120bb24ac5c37d7">omsb::MongoDbHandler</a>
</li>
<li>DropDatabase()
: <a class="el" href="classomsb_1_1_mongo_db_handler.html#a3e1ce7d6750122392fcde924d710cee5">omsb::MongoDbHandler</a>
</li>
<li>GetAllMovies()
: <a class="el" href="classomsb_1_1_mongo_db_handler.html#af8488e63e677c8e294340086f81d0c02">omsb::MongoDbHandler</a>
</li>
<li>GetAllMovieShows()
: <a class="el" href="classomsb_1_1_mongo_db_handler.html#a31c4ea013fc2b2d63be2af01d52b00f7">omsb::MongoDbHandler</a>
</li>
<li>GetAllTheaters()
: <a class="el" href="classomsb_1_1_mongo_db_handler.html#a52f86fab00ed69982149f8799215cab7">omsb::MongoDbHandler</a>
</li>
<li>GetSeatsByMovieAndByTheater()
: <a class="el" href="classomsb_1_1_mongo_db_handler.html#add87e37b40c98f6bfe2ac280d4111057">omsb::MongoDbHandler</a>
</li>
<li>GetTheatersByMovie()
: <a class="el" href="classomsb_1_1_mongo_db_handler.html#a921491af6cf6a169c5945bc69e9808b9">omsb::MongoDbHandler</a>
</li>
<li>HttpServer()
: <a class="el" href="classomsb_1_1_http_server.html#a869340b7e360c5966313d9d560eadf7f">omsb::HttpServer</a>
</li>
<li>MongoDbHandler()
: <a class="el" href="classomsb_1_1_mongo_db_handler.html#a668896d72174ab8937709240222cdd92">omsb::MongoDbHandler</a>
</li>
<li>StartServer()
: <a class="el" href="classomsb_1_1_http_server.html#a790f33952f28a1045959d77f59550133">omsb::HttpServer</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
